package com.ruoyi.inventory.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 资产盘点记录对象 tb_asset_inventory
 * 
 * @author ydl
 * @date 2023-06-01
 */
public class TbAssetInventory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 资产盘点记录编号 */
    private Long id;

    /** 单据编号 */
    @Excel(name = "单据编号")
    private String orderNumber;

    /** 任务名称 */
    @Excel(name = "任务名称")
    private String name;

    /** 盘点部门 */
    @Excel(name = "盘点部门")
    private String inventoryDepartment;

    /** 盘点人 */
    @Excel(name = "盘点人")
    private String inventoryBy;

    /** 盘点日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "盘点日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date inventoryDate;

    /** 盘点位置 */
    @Excel(name = "盘点位置")
    private String inventoryLocation;

    /** 盘点状态，0:盘点编制，1：盘点执行，2：盘点完毕，3：盘点暂停 */
    @Excel(name = "盘点状态，0:盘点编制，1：盘点执行，2：盘点完毕，3：盘点暂停")
    private Long inventoryStatus;

    /** 盘点结果，0：盘亏，1：盘盈，2：正常 */
    @Excel(name = "盘点结果，0：盘亏，1：盘盈，2：正常")
    private Long inventoryResult;

    /** 记录状态，0：未提交，1：已提交 */
    @Excel(name = "记录状态，0：未提交，1：已提交")
    private Long recordStatus;

    /** 记录创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "记录创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    /** 记录更新时间 */
    private Date updatedTime;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setOrderNumber(String orderNumber) 
    {
        this.orderNumber = orderNumber;
    }

    public String getOrderNumber() 
    {
        return orderNumber;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setInventoryDepartment(String inventoryDepartment) 
    {
        this.inventoryDepartment = inventoryDepartment;
    }

    public String getInventoryDepartment() 
    {
        return inventoryDepartment;
    }
    public void setInventoryBy(String inventoryBy) 
    {
        this.inventoryBy = inventoryBy;
    }

    public String getInventoryBy() 
    {
        return inventoryBy;
    }
    public void setInventoryDate(Date inventoryDate) 
    {
        this.inventoryDate = inventoryDate;
    }

    public Date getInventoryDate() 
    {
        return inventoryDate;
    }
    public void setInventoryLocation(String inventoryLocation) 
    {
        this.inventoryLocation = inventoryLocation;
    }

    public String getInventoryLocation() 
    {
        return inventoryLocation;
    }
    public void setInventoryStatus(Long inventoryStatus) 
    {
        this.inventoryStatus = inventoryStatus;
    }

    public Long getInventoryStatus() 
    {
        return inventoryStatus;
    }
    public void setInventoryResult(Long inventoryResult) 
    {
        this.inventoryResult = inventoryResult;
    }

    public Long getInventoryResult() 
    {
        return inventoryResult;
    }
    public void setRecordStatus(Long recordStatus) 
    {
        this.recordStatus = recordStatus;
    }

    public Long getRecordStatus() 
    {
        return recordStatus;
    }
    public void setCreatedTime(Date createdTime) 
    {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() 
    {
        return createdTime;
    }
    public void setUpdatedTime(Date updatedTime) 
    {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime() 
    {
        return updatedTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("orderNumber", getOrderNumber())
            .append("name", getName())
            .append("inventoryDepartment", getInventoryDepartment())
            .append("inventoryBy", getInventoryBy())
            .append("inventoryDate", getInventoryDate())
            .append("inventoryLocation", getInventoryLocation())
            .append("inventoryStatus", getInventoryStatus())
            .append("inventoryResult", getInventoryResult())
            .append("recordStatus", getRecordStatus())
            .append("remark", getRemark())
            .append("createdTime", getCreatedTime())
            .append("updatedTime", getUpdatedTime())
            .toString();
    }
}
